package com.loafle.overflow.central.module.infra.service;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.infra.InfraHost;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = { AppConfigTest.class })
public class InfraServiceTest {

  @Autowired
  private CentralInfraService infraService;

  @Test
  public void readAllInfraHostByInfraZoneID() throws Exception {
    List<InfraHost> infraHosts = this.infraService.readAllInfraHostByInfraZoneID((long) 1);

    assertNotNull(infraHosts);
  }

}